summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tds14
-rwxr-xr-xMaster/tlpkg/bin/place2
2 files changed, 8 insertions, 8 deletions
diff --git a/Master/tlpkg/bin/ctan2tds b/Master/tlpkg/bin/ctan2tds
index c33f3464284..61868542418 100755
--- a/Master/tlpkg/bin/ctan2tds
+++ b/Master/tlpkg/bin/ctan2tds
@@ -20,7 +20,7 @@ use English;
use Getopt::Long;
use File::Basename;
use Cwd;
-#
+
# programs used; must all be on the path
$MV = "mv";
$CP = "cp -p";
@@ -1262,14 +1262,16 @@ $standardmapdest = "fonts/map/dvips";
);
$standardvmap='\.ali$';
+%specialvmap = ();
$standardenc='\.enc';
+%specialenc = ();
$standardafm='\.afm';
-%specialafm= ();
+%specialafm = ();
$standardpfm='\.pfm';
-%specialpfm= ();
+%specialpfm = ();
$standardpfb = '\.pfb|\.inf$';
%specialpfb = (
@@ -1461,8 +1463,6 @@ sub set_dir_defaults
$standarddest = "texmf-doc";
$guess = "$standarddest for dest";
- } else {
- $changed = 0;
}
print "\t guessed $guess (based on $ctan_dir)\n" if $guess;
@@ -1915,8 +1915,8 @@ sub killfiles
if ($more && @delfiles) {
# create/update README.TEXLIVE.
- open RTL, ">README.TEXLIVE" or warn "open(>README.TEXLIVE) failed: $!";
- print RTL <<EOF;
+ open (RTL, ">README.TEXLIVE") || warn "open(>README.TEXLIVE) failed: $!";
+ print RTL <<'EOF';
The following files have been removed in the TeX Live installation of
the current package, typically due to duplication, lack of space, or
missing source code. You can find these files on CTAN. If questions or
diff --git a/Master/tlpkg/bin/place b/Master/tlpkg/bin/place
index f2bcb217e01..1742c41a302 100755
--- a/Master/tlpkg/bin/place
+++ b/Master/tlpkg/bin/place
@@ -61,7 +61,7 @@ if ($Root eq 'texmf-doc') {
die "cannot handle Root=$Root";
}
-die "top-level README in $Root, that can't be right" if -e "$root/README";
+die "top-level README in $Root, that can't be right" if -e "$Root/README";
# initialize TLPDB
my $tlpdb = new TeXLive::TLPDB ('root' => $M);